zenilib: Zeni::Widget_Renderer_Texture Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Widget_Renderer_Texture Class Reference

`#include <Widget.h>`

Inherits Zeni::Widget_Render_Function.

## Public Member Functions

| Widget_Renderer_Texture (const String &texture_)
| Widget_Renderer_Texture (const String &texture_, const Point2f &tex_coord_ul_, const Point2f &tex_coord_ll_, const Point2f &tex_coord_lr_, const Point2f &tex_coord_ur_)
virtual Widget_Renderer_Texture * | get_duplicate () const
virtual void | render_to (const Widget &widget)
| rect must be of type Widget_Rectangle More...
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Public Attributes

Point2f | tex_coord_ll
Point2f | tex_coord_lr
Point2f | tex_coord_ul
Point2f | tex_coord_ur
String | texture

## Detailed Description

Definition at line 362 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Widget_Renderer_Texture::Widget_Renderer_Texture | ( | const String & | texture_ | ) |

inline

Definition at line 252 of file Widget.hxx.

Referenced by get_duplicate().

Zeni::Widget_Renderer_Texture::Widget_Renderer_Texture | ( | const String & | texture_,
|  | const Point2f & | tex_coord_ul_,
|  | const Point2f & | tex_coord_ll_,
|  | const Point2f & | tex_coord_lr_,
|  | const Point2f & | tex_coord_ur_
| ) |  |

inline

Definition at line 261 of file Widget.hxx.

## Member Function Documentation

Widget_Renderer_Texture * Zeni::Widget_Renderer_Texture::get_duplicate | ( |  | ) | const

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 105 of file Widget.cpp.

References Widget_Renderer_Texture().

void Zeni::Widget_Renderer_Texture::render_to | ( | const Widget & | widget | ) |

virtual

rect must be of type Widget_Rectangle

Implements Zeni::Widget_Render_Function.

Definition at line 89 of file Widget.cpp.

References Zeni::Widget_Rectangle::get_lower_left(), Zeni::Widget_Rectangle::get_lower_right(), Zeni::Widget_Rectangle::get_upper_left(), Zeni::Widget_Rectangle::get_upper_right(), Zeni::get_Video(), Zeni::Renderable::lend_Material(), Zeni::Video::render(), tex_coord_ll, tex_coord_lr, tex_coord_ul, and tex_coord_ur.

## Member Data Documentation

Point2f Zeni::Widget_Renderer_Texture::tex_coord_ll

Definition at line 378 of file Widget.h.

Referenced by render_to().

Point2f Zeni::Widget_Renderer_Texture::tex_coord_lr

Definition at line 379 of file Widget.h.

Referenced by render_to().

Point2f Zeni::Widget_Renderer_Texture::tex_coord_ul

Definition at line 377 of file Widget.h.

Referenced by render_to().

Point2f Zeni::Widget_Renderer_Texture::tex_coord_ur

Definition at line 380 of file Widget.h.

Referenced by render_to().

String Zeni::Widget_Renderer_Texture::texture

Definition at line 376 of file Widget.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx